AnsweredAssumed Answered

Error:  The node /Hbase is not in ZooKeeper

Question asked by mlieb on Mar 9, 2018
Latest reply on Mar 12, 2018 by maprcommunity
Branched from an earlier discussion

Hi ALL,

I have a similar problem. After calling "hbase shell" and "list" command, I get the error:

hbase(main):001:0> list
Listing HBase tables. Specify a path or configure namespace mappings to list M7 tables.
Unable to connect to HBase services.
TABLE

ERROR: The node /hbase is not in ZooKeeper. It should have been written by the master. Check the value configured in 'zookeeper.znode.parent'. There could be a mismatch with the one configured in the master.

 

I had installed HBASE/MapR-DB Common (1.1) via the installer MapR-Installer.

 

Follwing packages are installed:

# rpm -qa | grep mapr
mapr-mapreduce1-0.20.2.44680.GA-1.x86_64
mapr-zookeeper-5.2.2.44680.GA-1.x86_64
mapr-nfs-5.2.2.44680.GA-1.x86_64
mapr-nodemanager-2.7.0.44680.GA-1.x86_64
mapr-spark-2.1.0.201708262329-1.noarch
mapr-oozie-4.3.0.201707281125-1.noarch
mapr-hivewebhcat-2.1.201707251117-1.noarch
mapr-drill-1.10.0.201707281534-1.noarch
mapr-sqoop-1.4.6.201707241300-1.noarch
mapr-installer-1.6.201709211010-1.noarch
mapr-core-internal-5.2.2.44680.GA-1.x86_64
mapr-mapreduce2-2.7.0.44680.GA-1.x86_64
mapr-zk-internal-5.2.2.44680.GA-1.x86_64
mapr-cldb-5.2.2.44680.GA-1.x86_64
mapr-resourcemanager-2.7.0.44680.GA-1.x86_64
mapr-hbase-1.1.8.201704031229-1.noarch
mapr-hue-3.12.0.201707281202-1.noarch
mapr-hbasethrift-1.1.8.201704031229-1.noarch
mapr-flume-1.7.0.201703242113-1.noarch
mapr-httpfs-1.0.201703241615-1.noarch
mapr-hadoop-core-2.7.0.44680.GA-1.x86_64
mapr-fileserver-5.2.2.44680.GA-1.x86_64
mapr-jobtracker-5.2.2.44680.GA-1.x86_64
mapr-historyserver-2.7.0.44680.GA-1.x86_64
mapr-hive-2.1.201707251117-1.noarch
mapr-oozie-internal-4.3.0.201707281125-1.noarch
mapr-sqoop2-server-2.0.0.201612060947-1.noarch
mapr-hbase-rest-1.1.8.201704031229-1.noarch
mapr-hivemetastore-2.1.201707251117-1.noarch
mapr-kafka-0.9.0.201707250007-1.noarch
mapr-core-5.2.2.44680.GA-1.x86_64
mapr-tasktracker-5.2.2.44680.GA-1.x86_64
mapr-webserver-5.2.2.44680.GA-1.x86_64
mapr-sqoop2-client-2.0.0.201612060947-1.noarch
mapr-spark-historyserver-2.1.0.201708262329-1.noarch
mapr-hiveserver2-2.1.201707251117-1.noarch
mapr-asynchbase-1.7.0.201611162116-1.noarch
mapr-installer-definitions-1.6.201709211010-1.noarch

 

Any help possible?

 

BR

Matthias

Outcomes